import Scope from './scope';
import { IIssue } from '../types';
export declare type IssuesQuery = {
    filter?: string;
    max?: number;
    after?: number;
    with?: string[];
};
export declare type IssuesByProjectQuery = {
    wikifyDescription?: boolean;
    updatedAfter?: string;
    filter?: string;
    max?: number;
    after?: number;
};
export default class Issue extends Scope {
    static path: string;
    create(project: string, summary: string, description: string): Promise<any>;
    get(id: string, wikifyDescription?: boolean): Promise<IIssue>;
    all(query?: IssuesQuery): Promise<IIssue[]>;
    inProject(projectId: string, query?: IssuesByProjectQuery): Promise<IIssue[]>;
    count(filter?: string): Promise<number>;
    applyCommand(issueOrIssues: string | string[], command: string, silently?: boolean): Promise<void>;
    addComment(issueOrIssues: string | string[], comment: string, silently?: boolean): Promise<void>;
}
