export interface ILinkField {
    value: string;
    type: string;
    role: string;
}
export interface IUserField {
    value: string;
    fullName: string;
}
export interface IValueIdField {
    value: string;
    id: string;
}
export interface IIssueField {
    name: string;
    value: string | string[] | ILinkField[] | IUserField[] | IValueIdField[] | any[];
    valueId?: string | string[] | any[];
}
export interface IIssueTag {
    value: string;
    cssClass: string;
}
export interface IIssueComment {
    id: string;
    author: string;
    authorFullName: string;
    issueId: string;
    parentId: string | null;
    deleted: false;
    jiraId: string | null;
    text: string;
    shownForIssueAuthor: false;
    created: number;
    updated: number | null;
    permittedGroup: null;
    replies: any[];
}
export interface IIssue {
    id: string;
    entityId: string;
    jiraId: string | null;
    field: IIssueField[];
    comment: IIssueComment[];
    tag: IIssueTag[] | any[];
}
export interface INumberValue {
    value: number;
}
export interface IUserInfo {
    filterFolder: string | null;
    lastCreatedProject: string | null;
    login: string;
    email: string;
    jabber: string | null;
    fullName: string | null;
    avatar: string | null;
    guest: boolean;
    permissions: any[];
}
